[26167] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r25433 - trunk/debathena/config/tex-config/debian

daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Fri Oct 28 15:33:28 2011

Date: Fri, 28 Oct 2011 15:33:27 -0400
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201110281933.p9SJXRgU031191@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: jdreed
Date: 2011-10-28 15:33:26 -0400 (Fri, 28 Oct 2011)
New Revision: 25433

Added:
   trunk/debathena/config/tex-config/debian/debathena-tex-config.preinst
Modified:
   trunk/debathena/config/tex-config/debian/changelog
   trunk/debathena/config/tex-config/debian/control.in
Log:
In tex-config:
  * Ensure texlive-base is configured first by depending on it
  * Conflict with texlive 2009-12 which uses ucf instead
  * Clean up installs where there is no .debathena-orig file


Modified: trunk/debathena/config/tex-config/debian/changelog
===================================================================
--- trunk/debathena/config/tex-config/debian/changelog	2011-10-28 14:15:40 UTC (rev 25432)
+++ trunk/debathena/config/tex-config/debian/changelog	2011-10-28 19:33:26 UTC (rev 25433)
@@ -1,3 +1,11 @@
+debathena-tex-config (1.5) unstable; urgency=low
+
+  * Ensure texlive-base is configured first by depending on it
+  * Conflict with texlive 2009-12 which uses ucf instead
+  * Clean up installs where there is no .debathena-orig file
+
+ -- Jonathan Reed <jdreed@mit.edu>  Fri, 28 Oct 2011 15:11:12 -0400
+
 debathena-tex-config (1.4) unstable; urgency=low
 
   * Since 1.1, fmtutil-sys may not necessarily be installed, so test if

Modified: trunk/debathena/config/tex-config/debian/control.in
===================================================================
--- trunk/debathena/config/tex-config/debian/control.in	2011-10-28 14:15:40 UTC (rev 25432)
+++ trunk/debathena/config/tex-config/debian/control.in	2011-10-28 19:33:26 UTC (rev 25433)
@@ -7,7 +7,7 @@
 
 Package: debathena-tex-config
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, texlive-base (<< 2009-12~)
 Description: TeX configuration for Debathena
  This package configures TeX for the Debathena system by defaulting to
  letter paper for all TeX utilities.

Added: trunk/debathena/config/tex-config/debian/debathena-tex-config.preinst
===================================================================
--- trunk/debathena/config/tex-config/debian/debathena-tex-config.preinst	                        (rev 0)
+++ trunk/debathena/config/tex-config/debian/debathena-tex-config.preinst	2011-10-28 19:33:26 UTC (rev 25433)
@@ -0,0 +1,49 @@
+#!/bin/sh
+# preinst script for debathena-tex-config
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+fix_dpkgnew () {
+    file=$1
+    if [ -f ${file}.dpkg-new ] && ! [ -f ${file}.debathena-orig ]; then
+	mv -f ${file}.dpkg-new  ${file}.debathena-orig
+    fi
+}
+
+case "$1" in
+    install|upgrade)
+	if dpkg --compare-versions "$2" lt-nl 1.5~; then
+	    fix_dpkgnew /etc/texmf/dvipdfm/config/config
+	    fix_dpkgnew /etc/texmf/xdvi/XDvi
+	    fix_dpkgnew /etc/texmf/dvipdfmx/dvipdfmx.cfg
+	    fix_dpkgnew /etc/texmf/dvips/config/config.ps
+	    fix_dpkgnew /etc/texmf/tex/generic/config/pdftexconfig.tex
+	fi
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0


Property changes on: trunk/debathena/config/tex-config/debian/debathena-tex-config.preinst
___________________________________________________________________
Added: svn:executable
   + *


home help back first fref pref prev next nref lref last post